### org.jfree.layouting.input.swing

# Class ConverterAttributeSet

- `SimpleAttributeSet`
- - `org.jfree.layouting.input.swing.ConverterAttributeSet`

`public class ConverterAttributeSet`
`extends SimpleAttributeSet`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: ConverterAttributeSet.java 3524 2007-10-16 11:26:31Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Field Summary

  `static String`

  `NOT_TYPED`

  ## Constructor Summary

  `ConverterAttributeSet()`

  ## Method Summary

  `void`

  `addAttribute(Object name, Object value)`

  `void`

  `addAttribute(Object type, Object name, Object value)`

  `void`

  `addAttributes(ConverterAttributeSet attributes)`

  `AttributeSet`

  `getAttributesByType(Object type)`

  `Map`

  `getTypeMap()`

  `void`

  `removeAttribute(Object name)`

  `void`

  `setTypeMap(Map typeMap)`

## Field Details

### NOT_TYPED

    public static final String NOT_TYPED

## Constructor Details

### ConverterAttributeSet

    public ConverterAttributeSet()

## Method Details

### addAttribute

    public void addAttribute(Object name,
                             Object value)

### addAttribute

    public void addAttribute(Object type,
                             Object name,
                             Object value)

### addAttributes

    public void addAttributes(ConverterAttributeSet attributes)

### getAttributesByType

    public AttributeSet getAttributesByType(Object type)

### getTypeMap

    public Map getTypeMap()

### removeAttribute

    public void removeAttribute(Object name)

### setTypeMap

    public void setTypeMap(Map typeMap)